3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php class Dummy { public $input; function __construct($input = array(1,2,3)) { $this->input = $input; } function run() { foreach($this->input as $key=>$value) { if($key == 2) throw new Exception('hello exception'); } } } function retry(Dummy $dum) { try { $dum->run(); } catch(Exception $e) { // solve the exception if($this->input[2]) unset($this->input[2]); retry($dum); } } $dum = new Dummy; $dum->run();
Output for 7.0.0 - 7.1.0
Fatal error: Uncaught Exception: hello exception in /in/vEj9k:13 Stack trace: #0 /in/vEj9k(32): Dummy->run() #1 {main} thrown in /in/vEj9k on line 13
Process exited with code 255.
Output for 5.3.7 - 5.6.28
Fatal error: Uncaught exception 'Exception' with message 'hello exception' in /in/vEj9k:13 Stack trace: #0 /in/vEj9k(32): Dummy->run() #1 {main} thrown in /in/vEj9k on line 13
Process exited with code 255.